import { IMapLayer, CsMap } from '..';
import { GeojsonLayer } from './geojson-layer';
export declare class GridLayer extends GeojsonLayer {
    typeId: string;
    types: string[];
    constructor(init?: Partial<IMapLayer>);
    getInstance(init?: Partial<IMapLayer>): GridLayer;
    addLayer(map: CsMap): void;
}
